@use "../../globals.scss";
@use "../../icons.scss";

.query-builder.container-selector {
  position: relative;
  display: grid;
  grid-template-areas:
    "search button"
    "type_filter unused"
    "table table";
  grid-template-columns: 1fr max-content;
  grid-template-rows: max-content max-content 1fr;

  overflow: hidden;

  padding-top: 0.5em;
  gap: 0.3em;

  & > .txt_filter {
    font-size: 120%;
    grid-area: search;
    border-bottom: 1px solid var(--border-secondary-color);
    border-radius: var(--border-radius);
  }
  & > .search_button {
    font-size: 120%;
    grid-area: button;
    width: 2em;
    @include icons.search;
  }
  & > .type_filter {
    font-size: 95%;
    grid-area: type_filter;
    padding: 0 1em;
    & > .item {
      padding: 0.2em 0.8em;
      text-transform: capitalize;
    }
  }
  & > .table {
    grid-area: table;
    .cell[_name=type] { flex-basis: 7em; text-transform: capitalize; }
    .cell[_name=label] { flex-basis: 25em; flex-grow: 1; }
    .cell[_name=nosessions] { flex-basis: 9em; }
    .body > .row {
      @include globals.button-like;
      .cell {
        text-decoration: unset;
        color: unset;
      }
    }
  }

  & > .overlay {
    grid-area: table;
    position: relative;
  }
}
